XFcGLLight class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcGLLight Class Reference

Defines a light source. More...

Collaboration diagram for XFcGLLight:

[legend]
List of all members.

## Public Attributes

INT32 | mType
| Light type.
REAL | mDiffuseR
| Diffuse color of light.
REAL | mDiffuseG
| Diffuse color of light.
REAL | mDiffuseB
| Diffuse color of light.
REAL | mSpecularR
| Specular color of light. Ignored currently.
REAL | mSpecularG
| Specular color of light. Ignored currently.
REAL | mSpecularB
| Specular color of light. Ignored currently.
REAL | mAmbientR
| Ambient color of light. Ignored currently.
REAL | mAmbientG
| Ambient color of light. Ignored currently.
REAL | mAmbientB
| Ambient color of light. Ignored currently.
XFcVector3 | mPosition
| Position of the light in world space.
XFcVector3 | mDirection
| Direction of the light in world space. Ignored for point lights.
REAL | mRange
| Light does not evaluate further than this.
REAL | mAttenuateConstant
| Constant attenuation.
REAL | mAttenuateLinear
| Linear attenuation.
REAL | mAttenuateSquared
| Squared attenuation.
REAL | mHotspotAngle
| Hotspot angle for spotlight cone.
REAL | mFalloffAngle
| Falloff angle for spotlight cone.

## Detailed Description

Defines a light source.

You also have to define material in order to get any sensible use out of light sources.

See also:
  XFcGL

  XFcGLMaterial

## Member Data Documentation

REAL XFcGLLight::mAmbientB

| Ambient color of light. Ignored currently.

REAL XFcGLLight::mAmbientG

| Ambient color of light. Ignored currently.

REAL XFcGLLight::mAmbientR

| Ambient color of light. Ignored currently.

REAL XFcGLLight::mAttenuateConstant

| Constant attenuation.

REAL XFcGLLight::mAttenuateLinear

| Linear attenuation.

REAL XFcGLLight::mAttenuateSquared

| Squared attenuation.

REAL XFcGLLight::mDiffuseB

| Diffuse color of light.

REAL XFcGLLight::mDiffuseG

| Diffuse color of light.

REAL XFcGLLight::mDiffuseR

| Diffuse color of light.

XFcVector3 XFcGLLight::mDirection

| Direction of the light in world space. Ignored for point lights.

REAL XFcGLLight::mFalloffAngle

| Falloff angle for spotlight cone.

REAL XFcGLLight::mHotspotAngle

| Hotspot angle for spotlight cone.

XFcVector3 XFcGLLight::mPosition

| Position of the light in world space.

REAL XFcGLLight::mRange

| Light does not evaluate further than this.

REAL XFcGLLight::mSpecularB

| Specular color of light. Ignored currently.

REAL XFcGLLight::mSpecularG

| Specular color of light. Ignored currently.

REAL XFcGLLight::mSpecularR

| Specular color of light. Ignored currently.

INT32 XFcGLLight::mType

Light type.

See also:
  XFCGLLIGHTTYPES

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch